Package twisted :: Package internet :: Module address :: Class IPv4Address

[frames | no frames]

## Class IPv4Address

    object --+
             |
            IPv4Address

Known Subclasses:
  `_ServerFactoryIPv4Address`

Object representing an IPv4 socket endpoint.

Method Summary
| `__init__(self, type, host, port, _bwHack)`
| `__eq__(self, other)`
| `__getitem__(self, index)`
| `__getslice__(self, start, stop)`
| `__str__(self)`
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__hash__(...)`
| `__reduce__(...)`
| `__repr__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Instance Variable Summary
| `host`: A string containing the dotted-quad IP address.
| `port`: An integer representing the port number.
| `type`: A string describing the type of transport, either 'TCP' or 'UDP'.

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IAd...`

Instance Variable Details

### host

A string containing the dotted-quad IP address.

### port

An integer representing the port number.

### type

A string describing the type of transport, either 'TCP' or 'UDP'.

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.internet.interfaces.IAddress at 0x825175c>,)

Generated by Epydoc 2.0 on Sat May 15 20:08:06 2004 | http://epydoc.sf.net